--source include/master-slave.inc
--source include/have_binlog_format_row.inc
--source include/have_log_bin.inc

connection master;
let $master_on=`SELECT IF(Variable_value='ON',1,0) FROM INFORMATION_SCHEMA.GLOBAL_VARIABLES WHERE Variable_name = "replication_slave_skip_columns"`;
connection slave;
let $slave_on=`SELECT IF(Variable_value='ON',1,0) FROM INFORMATION_SCHEMA.GLOBAL_VARIABLES WHERE Variable_name = "replication_slave_skip_columns"`;
echo Master $master_on;
echo Slave $slave_on;
let skip_on=1;
if (!$master_on) { let skip_on=0; }
if (!$slave_on)  { let skip_on=0; }
echo Skip $skip_on;
connection master;
--disable_warnings
DROP TABLE IF EXISTS t;
--enable_warnings
CREATE TABLE t(id INT PRIMARY KEY, text CHAR(20), number SMALLINT);
sync_slave_with_master;
connection slave;
DROP TABLE t;
CREATE TABLE t(id INT PRIMARY KEY, number SMALLINT);

connection master;
INSERT INTO t VALUES (1, 'text #1', 11);
--source include/percona_replication_slave_skip_columns_check_slave.inc

connection master;
UPDATE t SET number=12 WHERE number=11;
--source include/percona_replication_slave_skip_columns_check_slave.inc

connection master;
DELETE FROM t WHERE number= 12;
--source include/percona_replication_slave_skip_columns_check_slave.inc

connection master;
SELECT * FROM t;
connection slave;
SELECT * FROM t;

connection master;
DROP TABLE t;
sync_slave_with_master;
